<?php

header('Content-type: image/png');

$image = new Imagick('image.pdf'."[0]");

$image->setImageColorspace(255); // prevent image colors from inverting
$image->setimageformat("png");




// Si 0 est fourni comme paramètre de hauteur ou de largeur,
// les proportions seront conservées
$image->thumbnailImage(200, 0);

echo $image;
$image->clear();
$image->destroy();
?>